#pragma once

#define DISABLED_TEXT " - Disabled"

class CFindSheet : public CPropertySheet
{
	DECLARE_DYNAMIC(CFindSheet)

public:
	CFindSheet(UINT nIDCaption, CWnd* pParentWnd = NULL, UINT iSelectPage = 0);
	CFindSheet(LPCTSTR pszCaption, CWnd* pParentWnd = NULL, UINT iSelectPage = 0);
	virtual ~CFindSheet();

protected:
  int m_iLastActivePage;
  CUIntArray m_arrDisabledPages;
  void DisablePage(int iFirstPage, ...);
  void SetDisabledText(int iPage);
  BOOL IsPageDisabled(int iPage);
  void EnablePage(int iPage);
  void SetEnabledText(int iPage);

  void SetResults(int nHits);
  void SetResultsTabCaption(int nHits);

  CFont m_fontTab;

protected:
	DECLARE_MESSAGE_MAP()
public:
  virtual BOOL OnInitDialog();
protected:
  virtual BOOL OnNotify(WPARAM wParam, LPARAM lParam, LRESULT* pResult);

  // Made a friend to have sole outside access
  // to the EnablePage function.
  friend class CFindPage;
public:
  virtual BOOL PreTranslateMessage(MSG* pMsg);
};
